> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get consumers

> Returns the list of consumers linked to your account.



## OpenAPI

````yaml get /consumers
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers:
    get:
      tags:
        - Consumers
      summary: Get consumers
      description: Returns the list of consumers linked to your account.
      operationId: consumers_get_consumers
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: internal_reference
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Internal Reference
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ConsumerItem'
                title: Response Consumers Get Consumers
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - consumers
            - consumers.read
components:
  schemas:
    ConsumerItem:
      properties:
        consumerid:
          type: string
          format: uuid
          title: Consumerid
          description: Unique id of the consumer in Chift
        name:
          type: string
          minLength: 1
          title: Name
          description: >-
            Name of the consumer as it will appear in your Chift platform. This
            name may be used for automated communications, such as automatic
            mailings if you enable this feature
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: >-
            Optional - Email address of the consumer. It can be used for sending
            automated reminders (if the feature is enabled) and deployment by
            mail of local agent (when on-premise connector).
        internal_reference:
          anyOf:
            - type: string
            - type: 'null'
          title: Internal Reference
          description: >-
            Your internal reference for the client (e.g., customer ID or unique
            identifier in your system).
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          description: >-
            URL to redirect the user after completing the activation via our
            link. Useful for directing customers to a dynamic or personalized
            url. You can also set up a default static URL in Chift's back office
            for all consumers.
      type: object
      required:
        - consumerid
        - name
      title: ConsumerItem
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````